Maven Central Repository

empty3-library-generic

Overview

3D rendering engine. Plus modeling. Expected glsl textures 3d and 2d rendering

Snippets

POM Files

<?xml version="1.0" encoding="UTF-8"?>
<project xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd" xmlns="http://maven.apache.org/POM/4.0.0"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <!-- This module was also published with a richer model, Gradle metadata,  -->
  <!-- which should be used instead. Do not delete the following line which  -->
  <!-- is to indicate to Gradle or any Gradle module metadata file consumer  -->
  <!-- that they should prefer consuming it instead. -->
  <!-- do_not_remove: published-with-gradle-metadata -->
  <modelVersion>4.0.0</modelVersion>
  <groupId>one.empty3</groupId>
  <artifactId>empty3-library-generic</artifactId>
  <version>2023.1.4</version>
  <name>empty3-library-generic</name>
  <description>3D rendering engine. Plus modeling. Expected glsl textures 3d and 2d rendering</description>
  <url>https://github.com/manuelddahmen/empty3</url>
  <licenses>
    <license>
      <name>Gnu Gpl 3</name>
      <url>http://www.fsf.org/licenses/gpl</url>
      <distribution>repo</distribution>
    </license>
  </licenses>
  <developers>
    <developer>
      <id>manuelddahmen</id>
      <name>Manuel Daniel Dahmen</name>
      <email>dathewolf@gmail.com</email>
      <url>https://github.com/manuelddahmen</url>
    </developer>
  </developers>
  <scm>
    <connection>scm:git:https://github.com/manuelddahmen/empty3.git</connection>
    <developerConnection>scm:git:https://github.com/manuelddahmen/empty3.git</developerConnection>
    <url>https://github.com/manuelddahmen/empty3</url>
  </scm>
  <dependencies>
    <dependency>
      <groupId>com.metsci.ext.org.jogamp.gluegen</groupId>
      <artifactId>gluegen-rt</artifactId>
      <version>v2.4.0-rc4</version>
      <scope>runtime</scope>
    </dependency>
    <dependency>
      <groupId>com.metsci.ext.org.jogamp.jogl</groupId>
      <artifactId>jogl-all</artifactId>
      <version>v2.4.0-rc4</version>
      <scope>runtime</scope>
    </dependency>
    <dependency>
      <groupId>com.metsci.ext.org.jogamp.gluegen</groupId>
      <artifactId>gluegen-rt</artifactId>
      <version>2.4.0-rc-20200202</version>
      <classifier>natives-windows-amd64</classifier>
      <scope>runtime</scope>
    </dependency>
    <dependency>
      <groupId>com.metsci.ext.org.jogamp.jogl</groupId>
      <artifactId>jogl-all</artifactId>
      <version>2.4.0-rc-20200202</version>
      <classifier>natives-windows-amd64</classifier>
      <scope>runtime</scope>
    </dependency>
    <dependency>
      <groupId>ai.djl</groupId>
      <artifactId>api</artifactId>
      <version>0.19.0</version>
      <scope>runtime</scope>
    </dependency>
    <dependency>
      <groupId>com.android.tools.build</groupId>
      <artifactId>gradle</artifactId>
      <version>8.0.0-alpha11</version>
      <scope>runtime</scope>
    </dependency>
    <dependency>
      <groupId>org.jcodec</groupId>
      <artifactId>jcodec-javase</artifactId>
      <version>0.2.5</version>
      <scope>runtime</scope>
    </dependency>
    <dependency>
      <groupId>com.miglayout</groupId>
      <artifactId>miglayout</artifactId>
      <version>3.7.4</version>
      <scope>runtime</scope>
    </dependency>
    <dependency>
      <groupId>com.badlogicgames.gdx</groupId>
      <artifactId>gdx</artifactId>
      <version>1.11.0</version>
      <scope>runtime</scope>
    </dependency>
    <dependency>
      <groupId>xom</groupId>
      <artifactId>xom</artifactId>
      <version>1.3.8</version>
      <scope>runtime</scope>
    </dependency>
    <dependency>
      <groupId>com.jgoodies</groupId>
      <artifactId>jgoodies-common</artifactId>
      <version>1.8.2</version>
      <scope>runtime</scope>
    </dependency>
    <dependency>
      <groupId>com.jgoodies</groupId>
      <artifactId>jgoodies-forms</artifactId>
      <version>1.9.0</version>
      <scope>runtime</scope>
    </dependency>
    <dependency>
      <groupId>com.formdev</groupId>
      <artifactId>flatlaf</artifactId>
      <version>2.6</version>
      <scope>runtime</scope>
    </dependency>
    <dependency>
      <groupId>org.jdesktop</groupId>
      <artifactId>beansbinding</artifactId>
      <version>1.2.1</version>
      <scope>runtime</scope>
    </dependency>
    <dependency>
      <groupId>junit</groupId>
      <artifactId>junit</artifactId>
      <version>4.13.2</version>
      <scope>runtime</scope>
    </dependency>
    <dependency>
      <groupId>com.github.sarxos</groupId>
      <artifactId>webcam-capture</artifactId>
      <version>0.3.12</version>
      <scope>runtime</scope>
    </dependency>
    <dependency>
      <groupId>commons-net</groupId>
      <artifactId>commons-net</artifactId>
      <version>3.9.0</version>
      <scope>runtime</scope>
    </dependency>
    <dependency>
      <groupId>org.jdom</groupId>
      <artifactId>jdom2</artifactId>
      <version>2.0.6.1</version>
      <scope>runtime</scope>
    </dependency>
    <dependency>
      <groupId>org.apache.servicemix.bundles</groupId>
      <artifactId>org.apache.servicemix.bundles.jdom</artifactId>
      <version>2.0.6.1_1</version>
      <scope>runtime</scope>
    </dependency>
    <dependency>
      <groupId>com.jetbrains.intellij.java</groupId>
      <artifactId>java-gui-forms-rt</artifactId>
      <version>203.7148.30</version>
      <scope>runtime</scope>
    </dependency>
  </dependencies>
</project>